Last Comment Bug 725011 - IonMonkey: Assertion failure: analysis->jumpTarget(pc), at ion/TypeOracle.cpp:152
: IonMonkey: Assertion failure: analysis->jumpTarget(pc), at ion/TypeOracle.cp...
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Other Branch
: x86_64 Linux
: -- major (vote)
: ---
Assigned To: David Anderson [:dvander]
:
Mentors:
Depends on:
Blocks: langfuzz IonFuzz
  Show dependency treegraph
 
Reported: 2012-02-07 10:44 PST by Christian Holler (:decoder)
Modified: 2013-01-14 08:02 PST (History)
5 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (1.75 KB, patch)
2012-02-10 18:06 PST, David Anderson [:dvander]
jdemooij: review+
Details | Diff | Splinter Review

Description Christian Holler (:decoder) 2012-02-07 10:44:56 PST
The following testcase asserts on ionmonkey revision c34398f961e7 (run with --ion -n -m), tested on 64 bit:


DoWhile( new DoWhileObject( (/[\u0076\u0095]/gm ), 1, 0 ));
function DoWhileObject( value, iterations, endvalue ) {}
function DoWhile( object ) {
  do {
    throw DoWhile(1), "", i < test;
  } while( object.value );
}
Comment 1 David Anderson [:dvander] 2012-02-10 18:06:28 PST
Created attachment 596242 [details] [diff] [review]
fix
Comment 2 David Anderson [:dvander] 2012-02-13 15:23:07 PST
http://hg.mozilla.org/projects/ionmonkey/rev/05f26aaf851c
Comment 3 Christian Holler (:decoder) 2013-01-14 08:02:57 PST
A testcase for this bug was automatically identified at js/src/jit-test/tests/ion/bug725011.js.

Note You need to log in before you can comment on or make changes to this bug.